﻿using System.Drawing;
using System.Drawing.Drawing2D;

namespace ColorDialog_Problem
{
    class Line02: Shape02
    {
        private int _alpha;
        private int _red;
        private int _green;
        private int _blue;
        private int _width;
        private DashStyle _dStyle;

        public override string Name
        {
            get => "Line02";
            set { }
        }
        public override int Alpha
        {
            get => _alpha;
            set => _alpha = value;
        }
        public override int Red
        {
            get => _red;
            set => _red = value;
        }
        public override int Green
        {
            get => _green;
            set => _green = value;
        }
        public override int Blue
        {
            get => _blue;
            set => _blue = value;
        }
        public override int Width
        {
            get => _width;
            set => _width = value;
        }
        public override DashStyle DStyle
        {
            get => _dStyle;
            set => _dStyle = value;
        }

        public Line02() { }

        private Pen CreatePen() // Wird noch eine CreateBrush() geben
        {
            DashStyle dStyle = DashStyle.Dash;
            Pen pen = new Pen(Color.FromArgb(Alpha, Red, Green, Blue), Width);
            pen.DashStyle = DStyle;
            Pen = pen;

            return pen;
        }
        public override void Draw(Graphics e)
        {
            CreatePen();
            e.DrawLine(Pen, Line02StartLocation, Line02EndLocation);
        }
    }
}

