﻿using System.Drawing;
using System.Drawing.Drawing2D;

namespace ColorDialog_Problem
{
    class Line01 : Shape01
    {
         public override string Name
        {
            get => "Line01";
            set { }
        }

        public Line01() { }

        public Line01(int alpha, int red, int green, int blue, int width, DashStyle dStyle)
        {
            Pen = new Pen(Color.FromArgb(alpha, red, green, blue), width)
            {
                DashStyle = dStyle
            };
        }
        public override void Draw(Graphics e)
        {
            e.DrawLine(Pen, Line01StartLocation, Line01EndLocation);
        }
    }
}
